### Hierarchy

- Emitter
  - GridCell

### Implements

- IEmitter
- IGridCell

## Index

### Constructors

- constructor

### Properties

- borderStyles
- button
- buttonPopper
- cell
- cellBackground
- cellBackgroundHighlight
- cellBorders
- cellBordersOffset
- cellPopper
- cellStyles
- cellText
- cellTextContainer
- col
- dataset
- freeze
- hasHistory
- hidden
- highlightTimer
- input
- inputStyles
- isButton
- isButtonValue
- isImage
- link
- listeners
- oldValue
- onListeners
- params
- permission
- reference
- row
- style
- textStyles
- type

### Accessors

- CANCEL
- DONE
- STOP
- VALUE

### Methods

- applyBorders
- applyButton
- applyText
- cancel
- destroyPopper
- edit
- emit
- getDataset
- getDetails
- getFlattenStyles
- highlight
- history
- off
- on
- onButton
- onWindowClick
- refresh
- register
- removeEvent
- removeEvents
- selected
- setButton
- setFound
- setFreeze
- setOffset
- setPermission
- setRowIndex
- setSize
- setSorting
- setStyle
- setXPosition
- setYPosition
- transformStyle
- unRegister
- update
- updateSoftMerge

### Object literals

- borders
- index
- mergedCells
- position

## Constructors

### constructor

- new GridCell(params: IGridCellParams): GridCell

- Overrides Emitter.constructor

  - Defined in Grid3/GridCell.ts:225

  #### Parameters

  - ##### params: IGridCellParams

  #### Returns GridCell

## Properties

### Private borderStyles

borderStyles: any

- Defined in Grid3/GridCell.ts:220

### button

button: IActionsButton | null = null

Implementation of IGridCell.button

- Defined in Grid3/GridCell.ts:208

### Private buttonPopper

buttonPopper: any

- Defined in Grid3/GridCell.ts:225

### cell

cell: HTMLDivElement

Implementation of IGridCell.cell

- Defined in Grid3/GridCell.ts:181

### cellBackground

cellBackground: HTMLDivElement

- Defined in Grid3/GridCell.ts:184

### cellBackgroundHighlight

cellBackgroundHighlight: HTMLDivElement

- Defined in Grid3/GridCell.ts:185

### cellBorders

cellBorders: HTMLDivElement

Implementation of IGridCell.cellBorders

- Defined in Grid3/GridCell.ts:187

### cellBordersOffset

cellBordersOffset: HTMLDivElement

- Defined in Grid3/GridCell.ts:188

### cellPopper

cellPopper: HTMLDivElement

Implementation of IGridCell.cellPopper

- Defined in Grid3/GridCell.ts:191

### Private cellStyles

cellStyles: string[] = ['background-color','color','font-family','font-size','font-style','font-weight','height','text-align','text-wrap','width','vertical-align',]

- Defined in Grid3/GridCell.ts:166

### cellText

cellText: HTMLDivElement

- Defined in Grid3/GridCell.ts:190

### cellTextContainer

cellTextContainer: HTMLDivElement

- Defined in Grid3/GridCell.ts:189

### col

col: number = -1

Implementation of IGridCell.col

- Defined in Grid3/GridCell.ts:214

### dataset

dataset: IGridCellDataset

Implementation of IGridCell.dataset

- Defined in Grid3/GridCell.ts:193

### freeze

freeze: string = ""

Implementation of IGridCell.freeze

- Defined in Grid3/GridCell.ts:194

### hasHistory

hasHistory: boolean = false

Implementation of IGridCell.hasHistory

- Defined in Grid3/GridCell.ts:205

### hidden

hidden: boolean = false

Implementation of IGridCell.hidden

- Defined in Grid3/GridCell.ts:212

### Private highlightTimer

highlightTimer: any = null

- Defined in Grid3/GridCell.ts:216

### input

input: HTMLInputElement

Implementation of IGridCell.input

- Defined in Grid3/GridCell.ts:217

### Private inputStyles

inputStyles: string[] = ['color', 'font-family', 'font-size', 'font-style', 'font-weight', 'text-align']

- Defined in Grid3/GridCell.ts:147

### isButton

isButton: boolean = false

Implementation of IGridCell.isButton

- Defined in Grid3/GridCell.ts:206

### isButtonValue

isButtonValue: boolean = false

Implementation of IGridCell.isButtonValue

- Defined in Grid3/GridCell.ts:207

### isImage

isImage: boolean = false

Implementation of IGridCell.isImage

- Defined in Grid3/GridCell.ts:211

### link

link: IPageContentLink | null = null

- Defined in Grid3/GridCell.ts:209

### listeners

listeners: IListeners = []

Inherited from Emitter.listeners

- Defined in Emitter.ts:16

### Private oldValue

oldValue: string = ""

- Defined in Grid3/GridCell.ts:219

### onListeners

onListeners: any

Inherited from Emitter.onListeners

- Defined in Emitter.ts:17

### params

params: IGridCellParams

Implementation of IGridCell.params

- Defined in Grid3/GridCell.ts:227

### permission

permission: string = "rw"

Implementation of IGridCell.permission

- Defined in Grid3/GridCell.ts:195

### reference

reference: string = ""

Implementation of IGridCell.reference

- Defined in Grid3/GridCell.ts:196

### row

row: number = -1

Implementation of IGridCell.row

- Defined in Grid3/GridCell.ts:213

### style

style: IActionsStyleConditionStyle | null = null

Implementation of IGridCell.style

- Defined in Grid3/GridCell.ts:210

### Private textStyles

textStyles: string[] = [// 'background-color','color','font-family','font-size','font-style','font-weight',// 'height',// 'number-format','text-align','justify-content','align-items','text-wrap'// 'width',// 'vertical-align',]

- Defined in Grid3/GridCell.ts:149

### type

type: string = "cell"

Implementation of IGridCell.type

- Defined in Grid3/GridCell.ts:180

## Accessors

### CANCEL

- get CANCEL(): string

- - Defined in Grid3/GridCell.ts:120

  #### Returns string

### DONE

- get DONE(): string

- - Defined in Grid3/GridCell.ts:117

  #### Returns string

### STOP

- get STOP(): string

- - Defined in Grid3/GridCell.ts:123

  #### Returns string

### VALUE

- get VALUE(): string

- - Defined in Grid3/GridCell.ts:114

  #### Returns string

## Methods

### Private applyBorders

- applyBorders(): void

- - Defined in Grid3/GridCell.ts:736

  #### Returns void

### Private applyButton

- applyButton(): void

- - Defined in Grid3/GridCell.ts:785

  #### Returns void

### Private applyText

- applyText(textColor: string): void

- - Defined in Grid3/GridCell.ts:755

  #### Parameters

  - ##### textColor: string

  #### Returns void

### cancel

- cancel(restore?: undefined | false | true): void

- Implementation of IGridCell.cancel

  - Defined in Grid3/GridCell.ts:462

  #### Parameters

  - ##### Optional restore: undefined | false | true

  #### Returns void

### Private destroyPopper

- destroyPopper(): void

- - Defined in Grid3/GridCell.ts:821

  #### Returns void

### edit

- edit(value?: undefined | string, touch?: undefined | false | true): void

- Implementation of IGridCell.edit

  - Defined in Grid3/GridCell.ts:384

  #### Parameters

  - ##### Optional value: undefined | string

  - ##### Optional touch: undefined | false | true

  #### Returns void

### emit

- emit(name: string, args?: any): void

- Inherited from Emitter.emit

  - Defined in Emitter.ts:51

  #### Parameters

  - ##### name: string

  - ##### Optional args: any

  #### Returns void

### Private getDataset

- getDataset(params: IGridCellParams): IGridCellDataset

- - Defined in Grid3/GridCell.ts:724

  #### Parameters

  - ##### params: IGridCellParams

  #### Returns IGridCellDataset

### getDetails

- getDetails(): IGridCellDetails

- Implementation of IGridCell.getDetails

  - Defined in Grid3/GridCell.ts:678

  #### Returns IGridCellDetails

### getFlattenStyles

- getFlattenStyles(): string

- Implementation of IGridCell.getFlattenStyles

  - Defined in Grid3/GridCell.ts:693

  #### Returns string

### highlight

- highlight(show?: number, hide?: number): void

- - Defined in Grid3/GridCell.ts:525

  #### Parameters

  - ##### Default value show: number = 0.5

  - ##### Default value hide: number = 1

  #### Returns void

### history

- history(n: boolean, user?: number): void

- - Defined in Grid3/GridCell.ts:538

  #### Parameters

  - ##### n: boolean

  - ##### Default value user: number = 0

  #### Returns void

### off

- off(name: string, callback: any): void

- Inherited from Emitter.off

  - Defined in Emitter.ts:30

  #### Parameters

  - ##### name: string

  - ##### callback: any

  #### Returns void

### on

- on(name: string, callback: any): void

- Inherited from Emitter.on

  - Defined in Emitter.ts:23

  #### Parameters

  - ##### name: string

  - ##### callback: any

  #### Returns void

### onButton

- onButton(): boolean

- Implementation of IGridCell.onButton

  - Defined in Grid3/GridCell.ts:439

  #### Returns boolean

### Private onWindowClick

- onWindowClick(evt: MouseEvent): void

- - Defined in Grid3/GridCell.ts:899

  #### Parameters

  - ##### evt: MouseEvent

  #### Returns void

### refresh

- refresh(): void

- - Defined in Grid3/GridCell.ts:316

  #### Returns void

### register

- register(callback: any): void

- Inherited from Emitter.register

  - Defined in Emitter.ts:40

  #### Parameters

  - ##### callback: any

  #### Returns void

### removeEvent

- removeEvent(): void

- Implementation of IGridCell.removeEvent

  Inherited from Emitter.removeEvent

  - Defined in Emitter.ts:65

  #### Returns void

### removeEvents

- removeEvents(): void

- Implementation of IGridCell.removeEvents

  Inherited from Emitter.removeEvents

  - Defined in Emitter.ts:69

  #### Returns void

### selected

- selected(n: boolean, sides?: string[]): void

- Implementation of IGridCell.selected

  - Defined in Grid3/GridCell.ts:473

  #### Parameters

  - ##### n: boolean

  - ##### Default value sides: string[] = []

  #### Returns void

### setButton

- setButton(button: IActionsButton | null): void

- Implementation of IGridCell.setButton

  - Defined in Grid3/GridCell.ts:340

  #### Parameters

  - ##### button: IActionsButton | null

  #### Returns void

### setFound

- setFound(n: boolean): void

- Implementation of IGridCell.setFound

  - Defined in Grid3/GridCell.ts:345

  #### Parameters

  - ##### n: boolean

  #### Returns void

### setFreeze

- setFreeze(which: string, cell?: IGridCell, cell2?: IGridCell): void

- Implementation of IGridCell.setFreeze

  - Defined in Grid3/GridCell.ts:480

  #### Parameters

  - ##### which: string

  - ##### Optional cell: IGridCell

  - ##### Optional cell2: IGridCell

  #### Returns void

### setOffset

- setOffset(offset: number, which: string): void

- - Defined in Grid3/GridCell.ts:657

  #### Parameters

  - ##### offset: number

  - ##### which: string

  #### Returns void

### setPermission

- setPermission(permission: string): void

- Implementation of IGridCell.setPermission

  - Defined in Grid3/GridCell.ts:358

  #### Parameters

  - ##### permission: string

  #### Returns void

### setRowIndex

- setRowIndex(row: number, y: number): void

- Implementation of IGridCell.setRowIndex

  - Defined in Grid3/GridCell.ts:372

  #### Parameters

  - ##### row: number

  - ##### y: number

  #### Returns void

### setSize

- setSize(which: string, size: number): void

- Implementation of IGridCell.setSize

  - Defined in Grid3/GridCell.ts:647

  #### Parameters

  - ##### which: string

  - ##### size: number

  #### Returns void

### setSorting

- setSorting(direction: string): void

- Implementation of IGridCell.setSorting

  - Defined in Grid3/GridCell.ts:364

  #### Parameters

  - ##### direction: string

  #### Returns void

### setStyle

- setStyle(style: IActionsStyleConditionStyle | null): void

- Implementation of IGridCell.setStyle

  - Defined in Grid3/GridCell.ts:353

  #### Parameters

  - ##### style: IActionsStyleConditionStyle | null

  #### Returns void

### setXPosition

- setXPosition(position: number): void

- Implementation of IGridCell.setXPosition

  - Defined in Grid3/GridCell.ts:670

  #### Parameters

  - ##### position: number

  #### Returns void

### setYPosition

- setYPosition(position: number): void

- Implementation of IGridCell.setYPosition

  - Defined in Grid3/GridCell.ts:674

  #### Parameters

  - ##### position: number

  #### Returns void

### Private transformStyle

- transformStyle(contentStyle: any, which: string): any

- - Defined in Grid3/GridCell.ts:829

  #### Parameters

  - ##### contentStyle: any

  - ##### which: string

  #### Returns any

### unRegister

- unRegister(callback: any): void

- Inherited from Emitter.unRegister

  - Defined in Emitter.ts:44

  #### Parameters

  - ##### callback: any

  #### Returns void

### update

- update(content: IGridPageContentCell): void

- - Defined in Grid3/GridCell.ts:311

  #### Parameters

  - ##### content: IGridPageContentCell

  #### Returns void

### updateSoftMerge

- updateSoftMerge(hiddenColumns?: number[]): void

- Implementation of IGridCell.updateSoftMerge

  - Defined in Grid3/GridCell.ts:550

  #### Parameters

  - ##### Default value hiddenColumns: number[] = []

  #### Returns void

## Object literals

### Private borders

borders: object

- Defined in Grid3/GridCell.ts:127

### names

names: object

- Defined in Grid3/GridCell.ts:139

### b

b: string = "bottom"

- Defined in Grid3/GridCell.ts:142

### l

l: string = "left"

- Defined in Grid3/GridCell.ts:143

### r

r: string = "right"

- Defined in Grid3/GridCell.ts:141

### t

t: string = "top"

- Defined in Grid3/GridCell.ts:140

### styles

styles: object

- Defined in Grid3/GridCell.ts:134

### double

double: string = "double"

- Defined in Grid3/GridCell.ts:137

### none

none: string = "solid"

- Defined in Grid3/GridCell.ts:135

### solid

solid: string = "solid"

- Defined in Grid3/GridCell.ts:136

### widths

widths: object

- Defined in Grid3/GridCell.ts:128

### medium

medium: number = 2

- Defined in Grid3/GridCell.ts:131

### none

none: number = 0

- Defined in Grid3/GridCell.ts:129

### thick

thick: number = 3

- Defined in Grid3/GridCell.ts:132

### thin

thin: number = 1

- Defined in Grid3/GridCell.ts:130

### index

index: object

Implementation of IGridCell.index

- Defined in Grid3/GridCell.ts:201

### col

col: number = -1

- Defined in Grid3/GridCell.ts:203

### row

row: number = -1

- Defined in Grid3/GridCell.ts:202

### Private mergedCells

mergedCells: object

- Defined in Grid3/GridCell.ts:221

### cells

cells: never[] = []

- Defined in Grid3/GridCell.ts:222

### last

last: never[] = []

- Defined in Grid3/GridCell.ts:223

### position

position: object

Implementation of IGridCell.position

- Defined in Grid3/GridCell.ts:197

### col

col: number = -1

- Defined in Grid3/GridCell.ts:199

### row

row: number = -1

- Defined in Grid3/GridCell.ts:198

Generated using TypeDoc